Subject: RE: tar, zip, gzip troubles
From: [email-masked] (Earnie Boyd)

14 Oct 1998 20:56:24 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Kubat, Karel" <[email-masked]>
Cc: gw32 <[email-masked]>

---"Kubat, Karel" <[email-masked]> wrote:
>
> More on open/fopen in binary mode.
> 
> Earnie Boyd writes:
> > I suggest that you get the source code and find all of the
open/fopen
> > statements and properly add the necessary file mode processing
> > switches. Make the appropriate changes to the open/fopen statements.
> 
> You've got my vote on this! Only problem is, fopen() doesn't know a
"rb"
> or "wb" setting as I've found out. The only way I could think of while
> porting stuff, was to rewrite fopen() into open() calls, using
O_BINARY
> as a flag.
> 
> Are there better ways?
> 

This is the first I've heard of this.  "rb" and "wb" should work with
fopen(), if not it's a bug and should be reported as such.

Any others on the list seen this problem?

==
-                \\||//
-----------o0O0--Earnie--0O0o------------
--        [email-masked]        --
-- http://freeyellow.com/members5/gw32 --
--------------ooo0O--O0ooo---------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".